subread (2.0.6+dfsg-2) unstable; urgency=medium

  * Team upload.
  * d/control: build on riscv64 as well.
  * d/patches/0001-src-Makefile.Linux-Do-not-set-CFLAGS-and-CXXFLAGS-
    to.patch: fix embedded build path in various binaries.
    Thanks to Vagrant Cascadian <vagrant@reproducible-builds.org>.
    Closes: #1033089.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 13 Sep 2023 14:21:47 +0200

subread (2.0.6+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Add loong64 to list of architectures
    Closes: #1050423

 -- Andreas Tille <tille@debian.org>  Fri, 25 Aug 2023 09:19:12 +0200

subread (2.0.4+dfsg-1) unstable; urgency=medium

  [ Nilesh Patra ]
  * [skip ci] Remove myself from uploaders

  [ Alexandre Mestiashvili ]
  * d/copyright, remove .o files and prebuilt binary from src/longread-one
  * New upstream version 2.0.4+dfsg
  * d/patches, update and refresh,
    incorporare cross.patch into arch_specific_flags.patch
  * d/*.1, generate manpages
  * remove unused d/filter.pl
  * d/control:
    - debhelper-compat 13
    - Policy version 4.6.2

 -- Alexandre Mestiashvili <mestia@debian.org>  Sat, 11 Mar 2023 12:49:17 +0100

subread (2.0.3+dfsg-1) unstable; urgency=medium

  * Annotate test-only B-D with <!nocheck>
  * d/p/cross.patch: Fix non-cross buildability
  * d/rules: Remove hardcoding on make
  * Do not generate manpages during build time
     - Added createmanpages script which can be manually
       run at each release (Closes: #984978)
  * New upstream version 2.0.3+dfsg
  * Refresh patch, remove gcc10.patch
  * Declare compliance with policy 4.5.1

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 17:47:45 +0530

subread (2.0.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Archive. (routine-update)
  * Rely on pre-initialized dpkg-architecture variables. (routine-update)
  * d/rules: extended clean to allow consecutive builds
  * d/copyright: excluded changing test/*gz files from source tree

 -- Steffen Moeller <moeller@debian.org>  Fri, 22 May 2020 19:31:20 +0200

subread (2.0.0+dfsg-2) unstable; urgency=medium

  * Add patch to build with gcc-10
    Closes: #957846

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 18 Apr 2020 21:55:06 +0530

subread (2.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Use 2to3 to port to Python3
    Closes: #938576

 -- Andreas Tille <tille@debian.org>  Thu, 05 Sep 2019 09:30:37 +0200

subread (1.6.5+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.4.0

 -- Steffen Moeller <moeller@debian.org>  Fri, 09 Aug 2019 16:21:31 +0200

subread (1.6.4+dfsg-1) unstable; urgency=medium

  * Update d/watch, add uversionmangle to remove -source suffix
  * New upstream version 1.6.4+dfsg
  * Refresh patches, update typo.patch
  * Switch to debhelper-compat, drop d/compat
  * Install genRandomReads binary and generate man page

 -- Alexandre Mestiashvili <mestia@debian.org>  Tue, 30 Apr 2019 10:58:08 +0200

subread (1.6.3+dfsg-1) unstable; urgency=medium

  [ Alexandre Mestiashvili ]
  * New upstream version 1.6.3+dfsg
  * DH_VERBOSE=1, check for nocheck in DEB_BUILD_OPTIONS
  * Bump Policy to 4.3.0
  * Refresh patches
  * Don't install buggy detectionCall binary
  * Update d/README.Debian

  [ Andreas Tille ]
  * debhelper 12

 -- Alexandre Mestiashvili <mestia@debian.org>  Wed, 30 Jan 2019 20:19:47 +0100

subread (1.6.2+dfsg-1) unstable; urgency=medium

  * New upstream version 1.6.2+dfsg
  * d/control:
    - bump Policy to 4.1.4
    - update uploader's email in d/{control,copyright}
    - bump compat to 11
  * Remove --parallel from dh invocation in d/rules
  * Generate man page for flattenGTF with help2man
  * Install new binary flattenGTF
  * Refresh and update patches

 -- Alexandre Mestiashvili <mestia@debian.org>  Fri, 18 May 2018 19:07:58 +0200

subread (1.6.1+dfsg-1) unstable; urgency=medium

  [ Steffen Möller ]
  * Added new d/u/metadata file

  [ Alexandre Mestiashvili ]
  * New upstream version 1.6.1+dfsg
  * Update d/control, bump Policy to 4.1.3, fix Vcs-* fields to point to salsa
  * Refresh patches
  * Update copyright years

 -- Alexandre Mestiashvili <mestia@debian.org>  Wed, 04 Apr 2018 17:04:57 +0000

subread (1.6.0+dfsg-1) unstable; urgency=medium

  * Update d/watch to version 4
  * New upstream version 1.6.0+dfsg
  * Update d/subread.install, add sublong and txUnique binaries
  * d/rules:
    - add man page generation for sublong binary
    - use conditional variable assignment operator for DEB_HOST_ARCH
  * d/control:
    - bump Standards-Version to 4.1.1
    - drop autopkgtest testsuite from d/control as we have d/tests/control
  * Update arch_specific_flags patch, fix Makefile for sublong

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Fri, 17 Nov 2017 16:43:55 +0100

subread (1.5.3+dfsg-1) unstable; urgency=medium

  * Bump Standards-Version to 4.0.0
  * New upstream version 1.5.3+dfsg
  * Refresh and update paches
  * Update man pages
  * Remove trailing whitespaces from changelog

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Fri, 28 Jul 2017 16:09:49 +0200

subread (1.5.2+dfsg-1) unstable; urgency=medium

  * New upstream version 1.5.2+dfsg
  * Refresh and update patches
  * Add d/patches/typo.patch fixing a typo in featureCounts

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Tue, 21 Mar 2017 16:18:52 +0100

subread (1.5.1+dfsg-4) unstable; urgency=medium

  * Fix watch file
  * debhelper 10
  * remove outdated information from README.source

 -- Andreas Tille <tille@debian.org>  Fri, 02 Dec 2016 08:22:05 +0100

subread (1.5.1+dfsg-3) unstable; urgency=medium

  * Pass triplet-prefixed CC to make

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Mon, 05 Sep 2016 14:59:37 +0200

subread (1.5.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Make build reproducible.
    - Add compiler flags to ensure use of -fdebug-prefix-map.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 04 Sep 2016 15:16:33 +0000

subread (1.5.1+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 1.5.1+dfsg
  * Fix copyright Format: s/http/https/
  * Refresh and remove applied patches

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Sun, 28 Aug 2016 08:43:33 +0200

subread (1.5.0-p3+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Further address reproducibility by forcing mode on tarball contents.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 21 Jul 2016 13:23:14 +0000

subread (1.5.0-p3+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Make build reproducible by ensuring umask and mtime of
    archive contents are deterministic.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 18 Jul 2016 07:46:12 +0000

subread (1.5.0-p3+dfsg-1) unstable; urgency=medium

  * Drop get-orig-source target, update d/watch to repack and use compression xz
  * Imported Upstream version 1.5.0-p3+dfsg

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Sat, 04 Jun 2016 09:16:27 +0200

subread (1.5.0-p2+dfsg-3) unstable; urgency=medium

  * Fix build on armel, armhf, arm64 and ppc64el
    It appears that -fsigned-char option must be defined before other CFLAGS or
    some binaries fail to work on architectures defined above

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Tue, 26 Apr 2016 22:44:51 +0200

subread (1.5.0-p2+dfsg-2) unstable; urgency=medium

  * Cleanup d/rules
  * Add patch fixing ftbfs on kfreebsd

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Sat, 23 Apr 2016 22:19:34 +0200

subread (1.5.0-p2+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 1.5.0-p2+dfsg
  * Refresh patches
  * Add --parallel to dh $@
  * Update arch_specific_flags.patch: append CFLAGS and LDFLAGS
    instead of hardcoding them in the Makefile
  * Cme fix dpkg, update VCS fields, bump Standards-Version
  * Add python and bc to Build-Depends, needed for tests
  * Run all tests

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Fri, 22 Apr 2016 18:09:24 +0200

subread (1.5.0-p1+dfsg-2) unstable; urgency=medium

  * d/control: remove hurd-i386 and mipsel due to failing tests

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Mon, 18 Jan 2016 12:03:41 +0100

subread (1.5.0-p1+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 1.5.0-p1+dfsg
  * d/patches: refresh and remove applied patches

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Tue, 05 Jan 2016 15:58:47 +0100

subread (1.5.0+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 1.5.0+dfsg
  * no PDF documentation in this release
  * removed globalReassembly and subtools binaries, added "repair" tool

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Fri, 06 Nov 2015 15:05:00 +0100

subread (1.4.6-p5+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 1.4.6-p5+dfsg
  * Build and install SubreadUsersGuide.pdf

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Sat, 05 Sep 2015 12:35:30 +0200

subread (1.4.6-p4+dfsg-1) unstable; urgency=medium

  * d/patches/arch_specific_flags.patch: set the optimization level
    to -03  because -O levels higher than 3 have no effect.
  * Imported Upstream version 1.4.6-p4+dfsg

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Mon, 06 Jul 2015 15:51:55 +0200

subread (1.4.6-p3+dfsg-2) unstable; urgency=medium

  * d/changelog: upload to unstable, forgot to include the amd64 architecture
    in d/contorl
  * d/control: added amd64 to Architecture

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 21 May 2015 20:56:14 +0200

subread (1.4.6-p3+dfsg-1) unstable; urgency=medium

  * d/changelog: upload to unstable
  * d/rules: enable -fsigned-char for all architectures
  * d/patches/arch_specific_flags.patch: use -O2 instead of -O9
  * d/control: not building for powerpc, mips, s390x, see d/README.source
  * d/README.source: merge with d/README.Debian-source describe the reason
    for not building on some architectures
  * Imported Upstream version 1.4.6-p3+dfsg

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Tue, 19 May 2015 13:51:49 +0200

subread (1.4.6-p2+dfsg-4) experimental; urgency=medium

  * d/rules: add -msse3 and -mtune=generic for i386/amd64
  * d/patches: merge hardening and gcc_flags_cleanup patches
  * d/patches: updated and renamed getopt4exactSNP.patch to getopt.patch
     fixed 2 more issues with wrong assignment for the getopt_long function

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Mon, 18 May 2015 17:46:15 +0200

subread (1.4.6-p2+dfsg-3) experimental; urgency=medium

  * d/patches/getopt4exactSNP.patch: attempt to fix #784929

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Wed, 13 May 2015 22:22:24 +0200

subread (1.4.6-p2+dfsg-2) unstable; urgency=medium

  * d/patches/gcc_flags_cleanup.patch: remove -mtune=core2 and mmmx,msse* flags
    Closes: #784780
  * d/rules: use override_dh_installexamples-indep, Closes: #784782
  * d/README.Debian-source: mention doc/SubreadUserGuide.pdf removal

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Sun, 10 May 2015 10:43:19 +0200

subread (1.4.6-p2+dfsg-1) unstable; urgency=medium

  * Actual first upload after fixing ftpmaster issues
    Closes: #779014
  * d/copyright: exclude pdf without source files
  * d/patches: add Descriptions
  * d/watch: use repacksuffix to add +dfsg suffix
  * Imported Upstream version 1.4.6-p2+dfsg

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 07 May 2015 21:13:48 +0200

subread (1.4.6-p2-1) UNRELEASED; urgency=medium

  * Imported Upstream version 1.4.6-p2
  * fixed regexps for man pages cleanup
  * d/README.Debian: add note about subread user guide url
  * d/doc-base: remove, as no documentation supplied with the package
  * d/subread.docs: remove SubreadUserGuide.pdf

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 23 Apr 2015 10:22:03 +0200

subread (1.4.6-p1-1) unstable; urgency=low

  * Initial release. Closes: #779014

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Fri, 20 Feb 2015 10:48:06 +0100
